/*
 * @(#)dog3dapplication.java    Jan 1, 1998
 * 
 * Copyright (c) 1998, Particle
 * 
 * Sale of this "Software" is prohibited!  Only FREE
 * distribution is alowed.
 * 
 *
 * -- Particle --
 */

import java.io.*;
import pQueue;
import pLine2D;
import pPoint2D;
import dog;

/**
 * A <code>dog3dapplication</code> 
 * is the application to start <code>dog</code>. 
 * <p>
 * It basically gets the lines from the file, and 
 * passes them as a parameter to <code>dog</code> 
 * 
 * @version     1.0 1/2/1998
 * @author      Particle
 */
class dog3dapplication{

	/**
	 * the lines queue.
	 */
	public pQueue myList = null;

	/**
	 * function to load lines from a local file 
	 */
	boolean load_data(){
      	FileReader fr = null;
      	pLine2D tmp = null;
		int current;
		String fileName = new String("testmap.txt");
		try{
            	fr = new FileReader(fileName);
       	}catch(Exception e){
			System.out.println(e);
		}
		StreamTokenizer st = new StreamTokenizer(fr);
		st.eolIsSignificant(true);
		st.slashStarComments(true);
		st.ordinaryChar('\'');
		try{
			for(st.nextToken(),tmp = new pLine2D(),current=1;
				st.ttype != StreamTokenizer.TT_EOF;
				st.nextToken(),current++){
				if(st.ttype == StreamTokenizer.TT_EOL){
     					if(tmp != null)
                            	myList.insert(tmp);
                     		tmp = new pLine2D();
					current=0;
                    	}else{
					if(current == 1)
						System.out.println("getting Line: "+st.nval);
				  	else if(current == 2)
						tmp.v[0].v[0] = st.nval;
					else if(current == 3)
						tmp.v[0].v[1] = st.nval;
					else if(current == 4)
						tmp.v[1].v[0] = st.nval;
					else if(current == 5)
						tmp.v[1].v[1] = st.nval;
				}
                	}
       	}catch(IOException e){
            	return false;
        	}
       	return true;
	}

	/**
	 * constructs a dog2dapplication object, loads data, and creates
	 * a new <code>dog</code> object.
	 */
	public dog3dapplication(){
			myList = new pQueue();
			load_data();
			dog theapp = new dog(myList);
	}

	/**
	 * the static main method, (for calling it from command line)
	 */
	public static void main(String[] args){
		dog3dapplication myapp = new dog3dapplication();
	}
}
